%define upstream_name 	 Tk-TableMatrix
%define upstream_version 1.29

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Tk-TableMatrix perl module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/authors/id/C/CE/CERNEY/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Tk) >= 800.22.0
BuildRequires: perl(Tk::MMutil)
BuildRequires: perl-Tk-devel
BuildRequires: perl-devel
BuildRequires: pkgconfig(libnsl)
BuildRequires: pkgconfig(x11)
%{?perl_default_filter}

%description
Tk::TableMatrix is a table/matrix widget extension to perl/tk
for displaying data in a table (or spreadsheet) format.

%package devel
Summary:    Tk::TableMatrix modules for Perl (development package)
Group:      Development/Perl
Requires:   %{name} = %{version}
%description devel
Tk::TableMatrix is a table/matrix widget extension to perl/tk
for displaying data in a table (or spreadsheet) format.

This is the development package.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# DISABLE the check for now. It's won't work with build bots. 20061104.SE
#XDISPLAY=$(i=2; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
#{_prefix}/X11R6/bin/Xvfb :$XDISPLAY &
#export DISPLAY=:$XDISPLAY
#xauth add $DISPLAY . EE
#{__make} test

#xauth remove $DISPLAY
#kill $(cat /tmp/.X$XDISPLAY-lock)

%install
%make_install

# 20070818 remove file owned by perl-Tk-804.027-7mdv2007.0.i586
rm -rf %{buildroot}/%{perl_vendorarch}/Tk/pTk/extralibs.ld

%files
%doc COPYING ChangeLog Changes META.json META.yml MYMETA.yml README demos
%{perl_vendorarch}/auto/Tk
%{perl_vendorarch}/Tk/TableMatrix*
%{_mandir}/*/*

%files devel
%doc README Changes
%{perl_vendorarch}/Tk/pTk


%changelog
* Sat Aug 24 2024 tv <tv> 1.290.0-3.mga10
+ Revision: 2090822
- Rebuild for perl-5.40

* Thu Nov 30 2023 tv <tv> 1.290.0-2.mga10
+ Revision: 2011928
- Rebuild for perl-5.38

* Sun Nov 13 2022 tv <tv> 1.290.0-1.mga9
+ Revision: 1906650
- update to 1.29

* Tue Jun 07 2022 umeabot <umeabot> 1.260.0-5.mga9
+ Revision: 1863160
- Rebuild for Perl 5.36

* Wed Mar 30 2022 umeabot <umeabot> 1.260.0-4.mga9
+ Revision: 1834772
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.260.0-3.mga9
+ Revision: 1727158
- Rebuild for perl 5.34

* Tue Dec 15 2020 tv <tv> 1.260.0-2.mga8
+ Revision: 1657527
- BR pkgconfig(libnsl)

* Wed Oct 28 2020 tv <tv> 1.260.0-1.mga8
+ Revision: 1640037
- update to 1.26

* Thu Jun 18 2020 umeabot <umeabot> 1.230.0-26.mga8
+ Revision: 1596059
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.230.0-25.mga8
+ Revision: 1530158
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 1.230.0-24.mga8
+ Revision: 1433927
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.230.0-23.mga7
+ Revision: 1293894
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.230.0-22.mga7
+ Revision: 1249310
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1.230.0-21.mga7
+ Revision: 1167208
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.230.0-20.mga7
+ Revision: 1150183
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.230.0-19.mga7
+ Revision: 1126494
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.230.0-18.mga6
+ Revision: 1035411
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.230.0-17.mga6
+ Revision: 958140
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.230.0-16.mga6
+ Revision: 845411
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 1.230.0-15.mga6
+ Revision: 841171
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.230.0-14.mga5
+ Revision: 745263
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.230.0-13.mga5
+ Revision: 736151
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.230.0-12.mga5
+ Revision: 686732
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 1.230.0-11.mga5
+ Revision: 632340
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.230.0-10.mga4
+ Revision: 524137
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 1.230.0-9.mga4
+ Revision: 430266
- rebuild for new perl

* Wed May 29 2013 tv <tv> 1.230.0-8.mga4
+ Revision: 430133
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.230.0-7.mga3
+ Revision: 374475
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 27 2012 shlomif <shlomif> 1.230.0-6.mga3
+ Revision: 298685
- Updated Group to Development/Perl. New release - mkrel 6

* Wed May 30 2012 jquelin <jquelin> 1.230.0-5.mga3
+ Revision: 251283
- rebuild for perl 5.16

* Sun Dec 11 2011 jquelin <jquelin> 1.230.0-4.mga2
+ Revision: 180672
-devel package shouldn't ship the modules themselves (mga#3709)

* Thu Sep 29 2011 fwang <fwang> 1.230.0-3.mga2
+ Revision: 150195
- tighten br

* Sun Jun 12 2011 sander85 <sander85> 1.230.0-2.mga2
+ Revision: 105091
- Rebuild for perl 5.14

* Sun Jan 23 2011 jquelin <jquelin> 1.230.0-1.mga1
+ Revision: 34409
- mageia rebuild
- imported package perl-Tk-TableMatrix

